image:
  name: aztek/helm:v0.1.0
  entrypoint:
  - '/usr/bin/env'

helmfile-dev-deploy:
  stage: deploy
  script:
  - |
      if command -v helmfile; then
          helm version
          helmfile --version

          export IMAGE_TAG="$(cat tag_version.txt)"
      fi
  - aws eks update-kubeconfig --name "$CLUSTER_NAME" --role-arn "$ROLE"
  - helmfile -f helmfile.yaml diff
  - helmfile -f helmfile.yaml sync
  variables:
    ENVIRONMENT: dev
    DOMAIN: dev.aztek.io
    CLUSTER_NAME: aztek-org
    ROLE: arn:aws:iam::976168295228:role/DevOps
  except:
  - master
  - tags

helmfile-prod-deploy:
  stage: deploy
  script:
  - |
      if command -v helmfile; then
          helm version
          helmfile --version

          export IMAGE_TAG="$(cat tag_version.txt)"
      fi
  - aws eks update-kubeconfig --name "$CLUSTER_NAME" --role-arn "$ROLE"
  - helmfile -f helmfile.yaml diff
  - helmfile -f helmfile.yaml sync
  variables:
    ENVIRONMENT: prod
    DOMAIN: prod.aztek.io
    CLUSTER_NAME: aztek-org
    ROLE: arn:aws:iam::976168295228:role/DevOps
  except:
  - tags
  only:
  - master
